Reanalyzes BPMs every time a song is dragged to a player.

Bug #618091 reported by Jeremy Salwen on 2010-08-15
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mixxx
Low
RJ Skerry-Ryan

Bug Description

This is on Debian linux, with mixxx 1.8.0 beta 2.

I went to the analyze view and analyzed all of my songs. Most of them worked. However, when I double click on a song, it gets loaded in player 1 and the BPMS gets reset to 0. After a bit, it gets re-analyzed to the correct value.

If I load any song in any way, it's BPMs gets reset, and it tries to re-analyze it. This is *REALLY* annoying when trying to sync songs.

RJ Skerry-Ryan (rryan) wrote :

Hi Jeremy, thanks for the report.

I can't seem to reproduce this in our latest repository version of 1.8, though I don't think any bugs related to BPM were fixed since we released beta2. Are there any extra details you think might be relevant to reproducing the problem?

Best regards,
RJ Ryan

Changed in mixxx:
milestone: none → 1.8.0

Hi,

I realized it does work if I drag from the library. However, if I drag from
the analyze view, I get the bug. And then, even if I go back to library
view, I still get the bug. As in the BPM temporarily changes to 0 and then
get set back to the analyzed value.

and as a note, this will override manually set BPM (like when I clicked /2)

Jeremy

On Sun, Aug 15, 2010 at 3:06 PM, RJ Ryan <email address hidden> wrote:

> Hi Jeremy, thanks for the report.
>
> I can't seem to reproduce this in our latest repository version of 1.8,
> though I don't think any bugs related to BPM were fixed since we
> released beta2. Are there any extra details you think might be relevant
> to reproducing the problem?
>
> Best regards,
> RJ Ryan
>
> ** Changed in: mixxx
> Milestone: None => 1.8.0
>
> --
> Reanalyzes BPMs every time a song is dragged to a player.
> https://bugs.launchpad.net/bugs/618091
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Mixxx: New
>
> Bug description:
> This is on Debian linux, with mixxx 1.8.0 beta 2.
>
> I went to the analyze view and analyzed all of my songs. Most of them
> worked. However, when I double click on a song, it gets loaded in player 1
> and the BPMS gets reset to 0. After a bit, it gets re-analyzed to the
> correct value.
>
> If I load any song in any way, it's BPMs gets reset, and it tries to
> re-analyze it. This is *REALLY* annoying when trying to sync songs.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/mixxx/+bug/618091/+subscribe
>

RJ Skerry-Ryan (rryan) wrote :
Download full text (3.3 KiB)

I still can't reproduce. Here are the exact steps I'm taking:

1) Delete ~/.mixxx/mixxxdb.sqlite (if you have spent time on your library
this will delete it -- save a backup instead of deleting it)
2) Restart Mixxx, my library is re-scanned
3) Nothing shows up in Analyze view (this is another bug apparently), reboot
Mixxx
4) Go to Analyze view, highlight and analyze a BPM 0.0 track.
5) BPM analysis completes, BPM is populated in Analyze View table.
6) Drag and drop analyzed track to Player 1, BPM shows up immediately, BPM
analysis is not run by Mixxx (can tell via console)
7) Switch back to 'Library' view, the BPM that was detected is shown in the
library table
8) Drag and drop the analyzed track from Library View to Player 2, BPM is
immediately populated to the right value. BPM analysis is not run by Mixxx
(can tell via console)

So I was totally wrong about there not being BPM-related fixes since 1.8.0
beta2 was released. If those exact steps reproduce the bug for you, then I
think this is fixed in the latest 1.8 revision in the repositories. Until a
beta3, a 1.8.0 RC, or 1.8.0 comes out, I would suggest compiling from
source. It's pretty easy to get setup for Debian, just apt-get build-dep
mixxx, install bzr, `bzr branch lp:mixxx/1.8 ./mixxx-1.8' will get you the
code, and then just type 'scons' in the 'mixxx-1.8/mixxx' subfolder. More
details here:

http://mixxx.org/wiki/doku.php/compiling_on_linux

Thanks!
RJ

On Sun, Aug 15, 2010 at 12:47 PM, Jeremy Salwen
<email address hidden>wrote:

> Hi,
>
> I realized it does work if I drag from the library. However, if I drag
> from
> the analyze view, I get the bug. And then, even if I go back to library
> view, I still get the bug. As in the BPM temporarily changes to 0 and then
> get set back to the analyzed value.
>
> and as a note, this will override manually set BPM (like when I clicked
> /2)
>
> Jeremy
>
> On Sun, Aug 15, 2010 at 3:06 PM, RJ Ryan <email address hidden>
> wrote:
>
> > Hi Jeremy, thanks for the report.
> >
> > I can't seem to reproduce this in our latest repository version of 1.8,
> > though I don't think any bugs related to BPM were fixed since we
> > released beta2. Are there any extra details you think might be relevant
> > to reproducing the problem?
> >
> > Best regards,
> > RJ Ryan
> >
> > ** Changed in: mixxx
> > Milestone: None => 1.8.0
> >
> > --
> > Reanalyzes BPMs every time a song is dragged to a player.
> > https://bugs.launchpad.net/bugs/618091
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
> > Status in Mixxx: New
> >
> > Bug description:
> > This is on Debian linux, with mixxx 1.8.0 beta 2.
> >
> > I went to the analyze view and analyzed all of my songs. Most of them
> > worked. However, when I double click on a song, it gets loaded in player
> 1
> > and the BPMS gets reset to 0. After a bit, it gets re-analyzed to the
> > correct value.
> >
> > If I load any song in any way, it's BPMs gets reset, and it tries to
> > re-analyze it. This is *REALLY* annoying when trying to sync songs.
> >
> > To unsubscribe from this bug, go to:
> > https://bugs.launchpad.net/mixxx/+bug/618091/+subscribe
> >
>
...

Read more...

Jeremy Salwen (jeremy.salwen) wrote :
Download full text (4.4 KiB)

I'm actually right now compiling the aubio branch. I'll tell you how that
works.

Jeremy

On Sun, Aug 15, 2010 at 5:37 PM, RJ Ryan <email address hidden> wrote:

> I still can't reproduce. Here are the exact steps I'm taking:
>
> 1) Delete ~/.mixxx/mixxxdb.sqlite (if you have spent time on your library
> this will delete it -- save a backup instead of deleting it)
> 2) Restart Mixxx, my library is re-scanned
> 3) Nothing shows up in Analyze view (this is another bug apparently),
> reboot
> Mixxx
> 4) Go to Analyze view, highlight and analyze a BPM 0.0 track.
> 5) BPM analysis completes, BPM is populated in Analyze View table.
> 6) Drag and drop analyzed track to Player 1, BPM shows up immediately, BPM
> analysis is not run by Mixxx (can tell via console)
> 7) Switch back to 'Library' view, the BPM that was detected is shown in the
> library table
> 8) Drag and drop the analyzed track from Library View to Player 2, BPM is
> immediately populated to the right value. BPM analysis is not run by Mixxx
> (can tell via console)
>
> So I was totally wrong about there not being BPM-related fixes since 1.8.0
> beta2 was released. If those exact steps reproduce the bug for you, then I
> think this is fixed in the latest 1.8 revision in the repositories. Until a
> beta3, a 1.8.0 RC, or 1.8.0 comes out, I would suggest compiling from
> source. It's pretty easy to get setup for Debian, just apt-get build-dep
> mixxx, install bzr, `bzr branch lp:mixxx/1.8 ./mixxx-1.8' will get you the
> code, and then just type 'scons' in the 'mixxx-1.8/mixxx' subfolder. More
> details here:
>
> http://mixxx.org/wiki/doku.php/compiling_on_linux
>
> Thanks!
> RJ
>
>
> On Sun, Aug 15, 2010 at 12:47 PM, Jeremy Salwen
> <email address hidden>wrote:
>
> > Hi,
> >
> > I realized it does work if I drag from the library. However, if I drag
> > from
> > the analyze view, I get the bug. And then, even if I go back to library
> > view, I still get the bug. As in the BPM temporarily changes to 0 and
> then
> > get set back to the analyzed value.
> >
> > and as a note, this will override manually set BPM (like when I clicked
> > /2)
> >
> > Jeremy
> >
> > On Sun, Aug 15, 2010 at 3:06 PM, RJ Ryan <email address hidden>
> > wrote:
> >
> > > Hi Jeremy, thanks for the report.
> > >
> > > I can't seem to reproduce this in our latest repository version of 1.8,
> > > though I don't think any bugs related to BPM were fixed since we
> > > released beta2. Are there any extra details you think might be relevant
> > > to reproducing the problem?
> > >
> > > Best regards,
> > > RJ Ryan
> > >
> > > ** Changed in: mixxx
> > > Milestone: None => 1.8.0
> > >
> > > --
> > > Reanalyzes BPMs every time a song is dragged to a player.
> > > https://bugs.launchpad.net/bugs/618091
> > > You received this bug notification because you are a direct subscriber
> > > of the bug.
> > >
> > > Status in Mixxx: New
> > >
> > > Bug description:
> > > This is on Debian linux, with mixxx 1.8.0 beta 2.
> > >
> > > I went to the analyze view and analyzed all of my songs. Most of them
> > > worked. However, when I double click on a song, it gets loaded in
> player
> > 1
> > > and the BPMS gets reset to...

Read more...

Jeremy Salwen (jeremy.salwen) wrote :
Download full text (18.9 KiB)

Hm... it compiled all the way through, but then has an error linking...

g++ -o lin64_build/mixxx -pthread -pipe -Wall -W -g
-Wl,-rpath,/usr/share/qt4/lib -Wl,-rpath,/usr/share/qt4/lib
lin64_build/input.o lin64_build/mixxxkeyboard.o lin64_build/configobject.o
lin64_build/controlobjectthread.o lin64_build/controlobjectthreadwidget.o
lin64_build/controlobjectthreadmain.o lin64_build/controlevent.o
lin64_build/controllogpotmeter.o lin64_build/controlobject.o
lin64_build/controlnull.o lin64_build/controlpotmeter.o
lin64_build/controlpushbutton.o lin64_build/controlttrotary.o
lin64_build/controlbeat.o lin64_build/dlgpreferences.o
lin64_build/dlgprefsound.o lin64_build/dlgprefmidibindings.o
lin64_build/dlgprefplaylist.o lin64_build/dlgprefnomidi.o
lin64_build/dlgprefcontrols.o lin64_build/dlgprefbpm.o
lin64_build/dlgbpmscheme.o lin64_build/dlgabout.o lin64_build/dlgprefeq.o
lin64_build/dlgprefcrossfader.o lin64_build/dlgmidilearning.o
lin64_build/dlgtrackinfo.o lin64_build/dlgprepare.o lin64_build/dlgautodj.o
lin64_build/engine/engineworker.o lin64_build/engine/engineworkerscheduler.o
lin64_build/engine/enginebuffer.o lin64_build/engine/enginebufferscale.o
lin64_build/engine/enginebufferscaledummy.o
lin64_build/engine/enginebufferscalelinear.o
lin64_build/engine/enginebufferscalereal.o
lin64_build/engine/engineclipping.o lin64_build/engine/enginefilterblock.o
lin64_build/engine/enginefilteriir.o lin64_build/engine/enginefilter.o
lin64_build/engine/engineobject.o lin64_build/engine/enginepregain.o
lin64_build/engine/enginevolume.o lin64_build/engine/enginechannel.o
lin64_build/engine/enginemaster.o lin64_build/engine/enginedelay.o
lin64_build/engine/engineflanger.o lin64_build/engine/enginespectralfwd.o
lin64_build/engine/enginevumeter.o lin64_build/engine/enginevinylsoundemu.o
lin64_build/engine/enginesidechain.o
lin64_build/engine/enginefilterbutterworth8.o
lin64_build/engine/enginexfader.o lin64_build/engine/enginecontrol.o
lin64_build/engine/ratecontrol.o lin64_build/engine/loopingcontrol.o
lin64_build/engine/bpmcontrol.o lin64_build/engine/cuecontrol.o
lin64_build/engine/readaheadmanager.o lin64_build/cachingreader.o
lin64_build/analyserqueue.o lin64_build/analyserwavesummary.o
lin64_build/analyserbpm.o lin64_build/analyserwaveform.o
lin64_build/midi/midimapping.o lin64_build/midi/midiinputmappingtablemodel.o
lin64_build/midi/midioutputmappingtablemodel.o
lin64_build/midi/midichanneldelegate.o lin64_build/midi/midistatusdelegate.o
lin64_build/midi/midinodelegate.o lin64_build/midi/midioptiondelegate.o
lin64_build/midi/midimessage.o lin64_build/midi/midiledhandler.o
lin64_build/main.o lin64_build/controlgroupdelegate.o
lin64_build/controlvaluedelegate.o lin64_build/mixxxcontrol.o
lin64_build/mixxx.o lin64_build/mixxxview.o lin64_build/errordialoghandler.o
lin64_build/upgrade.o lin64_build/soundsource.o lin64_build/soundsourcemp3.o
lin64_build/soundsourceoggvorbis.o lin64_build/widget/wwidget.o
lin64_build/widget/wlabel.o lin64_build/widget/wnumber.o
lin64_build/widget/wnumberpos.o lin64_build/widget/wnumberrate.o
lin64_build/widget/wnumberbpm.o lin64_build/widget/wknob.o
lin64_build/widget/wdisplay.o lin64_build/widget/wvumeter.o
lin64_build/wi...

Jeremy Salwen (jeremy.salwen) wrote :
Download full text (4.6 KiB)

Maybe the issue is that I upgraded from a 1.7 database. When I deleted my
database and started afresh, everything seems to be working. (although
there are visual corruption problems where songs don't show up when I drag
them to a track on occasion).

Jeremy

On Sun, Aug 15, 2010 at 5:37 PM, RJ Ryan <email address hidden> wrote:

> I still can't reproduce. Here are the exact steps I'm taking:
>
> 1) Delete ~/.mixxx/mixxxdb.sqlite (if you have spent time on your library
> this will delete it -- save a backup instead of deleting it)
> 2) Restart Mixxx, my library is re-scanned
> 3) Nothing shows up in Analyze view (this is another bug apparently),
> reboot
> Mixxx
> 4) Go to Analyze view, highlight and analyze a BPM 0.0 track.
> 5) BPM analysis completes, BPM is populated in Analyze View table.
> 6) Drag and drop analyzed track to Player 1, BPM shows up immediately, BPM
> analysis is not run by Mixxx (can tell via console)
> 7) Switch back to 'Library' view, the BPM that was detected is shown in the
> library table
> 8) Drag and drop the analyzed track from Library View to Player 2, BPM is
> immediately populated to the right value. BPM analysis is not run by Mixxx
> (can tell via console)
>
> So I was totally wrong about there not being BPM-related fixes since 1.8.0
> beta2 was released. If those exact steps reproduce the bug for you, then I
> think this is fixed in the latest 1.8 revision in the repositories. Until a
> beta3, a 1.8.0 RC, or 1.8.0 comes out, I would suggest compiling from
> source. It's pretty easy to get setup for Debian, just apt-get build-dep
> mixxx, install bzr, `bzr branch lp:mixxx/1.8 ./mixxx-1.8' will get you the
> code, and then just type 'scons' in the 'mixxx-1.8/mixxx' subfolder. More
> details here:
>
> http://mixxx.org/wiki/doku.php/compiling_on_linux
>
> Thanks!
> RJ
>
>
> On Sun, Aug 15, 2010 at 12:47 PM, Jeremy Salwen
> <email address hidden>wrote:
>
> > Hi,
> >
> > I realized it does work if I drag from the library. However, if I drag
> > from
> > the analyze view, I get the bug. And then, even if I go back to library
> > view, I still get the bug. As in the BPM temporarily changes to 0 and
> then
> > get set back to the analyzed value.
> >
> > and as a note, this will override manually set BPM (like when I clicked
> > /2)
> >
> > Jeremy
> >
> > On Sun, Aug 15, 2010 at 3:06 PM, RJ Ryan <email address hidden>
> > wrote:
> >
> > > Hi Jeremy, thanks for the report.
> > >
> > > I can't seem to reproduce this in our latest repository version of 1.8,
> > > though I don't think any bugs related to BPM were fixed since we
> > > released beta2. Are there any extra details you think might be relevant
> > > to reproducing the problem?
> > >
> > > Best regards,
> > > RJ Ryan
> > >
> > > ** Changed in: mixxx
> > > Milestone: None => 1.8.0
> > >
> > > --
> > > Reanalyzes BPMs every time a song is dragged to a player.
> > > https://bugs.launchpad.net/bugs/618091
> > > You received this bug notification because you are a direct subscriber
> > > of the bug.
> > >
> > > Status in Mixxx: New
> > >
> > > Bug description:
> > > This is on Debian linux, with mixxx 1.8.0 beta 2.
> > >
> > > I went to the analyze...

Read more...

RJ Skerry-Ryan (rryan) wrote :
Download full text (20.0 KiB)

That code might have rotted a little bit, I'll ping the guy who is working
on it.

On Sun, Aug 15, 2010 at 1:53 PM, Jeremy Salwen <email address hidden>wrote:

> Hm... it compiled all the way through, but then has an error linking...
>
> g++ -o lin64_build/mixxx -pthread -pipe -Wall -W -g
> -Wl,-rpath,/usr/share/qt4/lib -Wl,-rpath,/usr/share/qt4/lib
> lin64_build/input.o lin64_build/mixxxkeyboard.o lin64_build/configobject.o
> lin64_build/controlobjectthread.o lin64_build/controlobjectthreadwidget.o
> lin64_build/controlobjectthreadmain.o lin64_build/controlevent.o
> lin64_build/controllogpotmeter.o lin64_build/controlobject.o
> lin64_build/controlnull.o lin64_build/controlpotmeter.o
> lin64_build/controlpushbutton.o lin64_build/controlttrotary.o
> lin64_build/controlbeat.o lin64_build/dlgpreferences.o
> lin64_build/dlgprefsound.o lin64_build/dlgprefmidibindings.o
> lin64_build/dlgprefplaylist.o lin64_build/dlgprefnomidi.o
> lin64_build/dlgprefcontrols.o lin64_build/dlgprefbpm.o
> lin64_build/dlgbpmscheme.o lin64_build/dlgabout.o lin64_build/dlgprefeq.o
> lin64_build/dlgprefcrossfader.o lin64_build/dlgmidilearning.o
> lin64_build/dlgtrackinfo.o lin64_build/dlgprepare.o lin64_build/dlgautodj.o
> lin64_build/engine/engineworker.o
> lin64_build/engine/engineworkerscheduler.o
> lin64_build/engine/enginebuffer.o lin64_build/engine/enginebufferscale.o
> lin64_build/engine/enginebufferscaledummy.o
> lin64_build/engine/enginebufferscalelinear.o
> lin64_build/engine/enginebufferscalereal.o
> lin64_build/engine/engineclipping.o lin64_build/engine/enginefilterblock.o
> lin64_build/engine/enginefilteriir.o lin64_build/engine/enginefilter.o
> lin64_build/engine/engineobject.o lin64_build/engine/enginepregain.o
> lin64_build/engine/enginevolume.o lin64_build/engine/enginechannel.o
> lin64_build/engine/enginemaster.o lin64_build/engine/enginedelay.o
> lin64_build/engine/engineflanger.o lin64_build/engine/enginespectralfwd.o
> lin64_build/engine/enginevumeter.o lin64_build/engine/enginevinylsoundemu.o
> lin64_build/engine/enginesidechain.o
> lin64_build/engine/enginefilterbutterworth8.o
> lin64_build/engine/enginexfader.o lin64_build/engine/enginecontrol.o
> lin64_build/engine/ratecontrol.o lin64_build/engine/loopingcontrol.o
> lin64_build/engine/bpmcontrol.o lin64_build/engine/cuecontrol.o
> lin64_build/engine/readaheadmanager.o lin64_build/cachingreader.o
> lin64_build/analyserqueue.o lin64_build/analyserwavesummary.o
> lin64_build/analyserbpm.o lin64_build/analyserwaveform.o
> lin64_build/midi/midimapping.o
> lin64_build/midi/midiinputmappingtablemodel.o
> lin64_build/midi/midioutputmappingtablemodel.o
> lin64_build/midi/midichanneldelegate.o
> lin64_build/midi/midistatusdelegate.o
> lin64_build/midi/midinodelegate.o lin64_build/midi/midioptiondelegate.o
> lin64_build/midi/midimessage.o lin64_build/midi/midiledhandler.o
> lin64_build/main.o lin64_build/controlgroupdelegate.o
> lin64_build/controlvaluedelegate.o lin64_build/mixxxcontrol.o
> lin64_build/mixxx.o lin64_build/mixxxview.o
> lin64_build/errordialoghandler.o
> lin64_build/upgrade.o lin64_build/soundsource.o
> lin64_build/soundsourcemp3.o
> lin64_build/soundsourceoggvorbis.o lin64_build/widg...

RJ Skerry-Ryan (rryan) wrote :

Ah ok try compiling with `scons aubio=1'

RJ Skerry-Ryan (rryan) wrote :

Also, if you want to chat with other Mixxx users and developers, check out #mixxx on irc.freenode.net :) The guy who is the lead on the aubio branch's nick is 'madjester'

RJ Skerry-Ryan (rryan) wrote :

Marking fixed since the bug was reported against beta2 and the issue has been fixed since then.

Changed in mixxx:
status: New → Fix Committed
assignee: nobody → RJ Ryan (rryan)
importance: Undecided → Low
RJ Skerry-Ryan (rryan) on 2010-10-05
Changed in mixxx:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers